> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Install a plugin

> Install a plugin from the plugins repository.  Use `/connectors/repository` to get the list of plugins in the repository and their IDs.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-connectors.json post /connectors/plugins
openapi: 3.0.1
info:
  title: Fusion Connectors Service API
  description: A Lucidworks Fusion microservice for Connectors management.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Connector Plugins API
    description: >-
      The Connector Plugins API allows you to list, install, update and
      uninstall connector plugins.
  - name: Connector Plugins Repository API
    description: >-
      The Connector Plugins Repository API gives you access to connector plugins
      from the plugin repository.
  - name: Connector Schema API
    description: >-
      The Connector Schema API provides you with the available configuration
      properties for any connector plugin type.
  - name: Datasource Configuration API
    description: >-
      The Datasource Configuration API allows you to manage datasource
      configurations for both Classic and V2 (SDK) connectors. These are the
      configurations that define settings for crawling a specific repository,
      database, API, or other content source.
  - name: Datasource Configuration V2 API
    description: >-
      The Datasource Configuration V2 API allows you to manage V2 (SDK)
      datasource configurations. These are the configurations that define
      settings for crawling a specific repository, database, API or other
      content source.
  - name: Datasource Jobs API
    description: >-
      The Datasource Jobs API allows you to to list, start or stop, and check
      the status of datasource crawl jobs.
  - name: Connectors Configuration Suggestion API
    description: >-
      The Configuration Suggestion API allows to get suggestion on which
      connector plugin can be used for crawling provided content source.
  - name: Connectors Security Filter API
    description: >-
      The Connectors Security Filters API provides security filter queries
      generated for a specific collection, user and connector type. These filter
      queries are used by the query pipeline to filter out documents returned to
      specific users and group of users depending on their permissions.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /connectors/plugins:
    post:
      tags:
        - Connector Plugins API
      summary: Install a plugin
      description: >-
        Install a plugin from the plugins repository.  Use
        `/connectors/repository` to get the list of plugins in the repository
        and their IDs.
      operationId: installOrUpdatePluginFromRepository
      parameters:
        - name: id
          description: The ID of the plugin to install.
          in: query
          required: true
          schema:
            type: string
          example: lucidworks.web-v2
        - name: version
          description: >-
            The specific plugin version to be installed. Leave empty to use the
            most recent plugin version.
          in: query
          required: false
          schema:
            type: string
          example: 0.0.3
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PluginInstallResponse'
              examples:
                successfulInstall:
                  summary: Successful plugin installation
                  description: Example of a successful installation response for a plugin.
                  value:
                    pluginId: lucidworks.web-v2
                    status:
                      action: INSTALL
                      status: SUCCESS
                      message: Plugin lucidworks.web-v2 was installed successfully.
                failedInstall:
                  summary: Failed plugin installation
                  description: >-
                    Example of a failure response when the plugin installation
                    does not complete successfully.
                  value:
                    pluginId: lucidworks.asd
                    status:
                      action: INSTALL
                      status: NOOP
                      message: 'Plugin not found in repository: lucidworks.asd'
components:
  schemas:
    PluginInstallResponse:
      type: object
      properties:
        pluginId:
          description: The ID of the connector plugin.
          type: string
          example: lucidworks.web-v2
        status:
          $ref: '#/components/schemas/PluginInstallActionStatus'
    PluginInstallActionStatus:
      description: The action taken and its final status.
      type: object
      properties:
        action:
          type: string
          enum:
            - UNKNOWN
            - INSTALL
            - UPDATE
            - UNINSTALL
          example: INSTALL
        status:
          type: string
          enum:
            - SUCCESS
            - FAIL
            - NOOP
          example: SUCCESS
        message:
          type: string
          example: Plugin lucidworks.web-v2 was installed successfully.

````